package org.jeecg.modules.pay.request.v3.labs;


import org.jeecg.modules.pay.core.LakalaPayConfig;
import org.jeecg.modules.pay.request.ReqData;

/**
 * 查询交易接口请求报文
 * 交易接口V3.0下支付类接口
 *
 * @author Mr丶xie
 * @version 1.0.0
 * @mail xielinke@lklink.cn
 */
public class TradeQueryRequest extends ReqData {

    public TradeQueryRequest() {
        this.merchant_no = LakalaPayConfig.MERCHANT_NO;
        this.term_no = LakalaPayConfig.TERM_NO;
    }

    /**
     * 商户号
     * 拉卡拉分配的商户号
     */
    private String merchant_no;

    /**
     * 终端号
     * 拉卡拉分配的业务终端号
     */
    private String term_no;

    /**
     * 商户交易流水号
     * 下单时的商户请求流水号 说明：out_trade_no、trade_no、必有其一。
     * 如果存在多个字段上送，优先级顺序如下： trade_no、 out_trade_no
     */
    private String out_trade_no;

    /**
     * 拉卡拉交易流水号
     */
    private String trade_no;

    public String getMerchant_no() {
        return merchant_no;
    }

    public void setMerchant_no(String merchant_no) {
        this.merchant_no = merchant_no;
    }

    public String getTerm_no() {
        return term_no;
    }

    public void setTerm_no(String term_no) {
        this.term_no = term_no;
    }

    public String getOut_trade_no() {
        return out_trade_no;
    }

    public void setOut_trade_no(String out_trade_no) {
        this.out_trade_no = out_trade_no;
    }

    public String getTrade_no() {
        return trade_no;
    }

    public void setTrade_no(String trade_no) {
        this.trade_no = trade_no;
    }
}
